import {
    defaultLightTheme,
    defaultDarkTheme,
    nanoDarkTheme,
    nanoLightTheme,
    radiantDarkTheme,
    radiantLightTheme,
    houseDarkTheme,
    houseLightTheme,
} from 'react-admin';
import { DEFAULT_THEME_NAME } from '@/config/setting';

import { softDarkTheme, softLightTheme } from './softTheme';
import { rsfLightTheme, rsfDarkTheme } from './rsfTheme';

export const themes = [
    { name: 'rsf', light: rsfLightTheme, dark: rsfDarkTheme },
    { name: 'soft', light: softLightTheme, dark: softDarkTheme },
    // { name: 'default', light: defaultLightTheme, dark: defaultDarkTheme },
    { name: 'nano', light: nanoLightTheme, dark: nanoDarkTheme },
    // { name: 'radiant', light: radiantLightTheme, dark: radiantDarkTheme },
    // { name: 'house', light: houseLightTheme, dark: houseDarkTheme },
];
